//-------------------------------------------------------------------------------------
// File : main.cpp
// Desc : Application Main Entry Point
// Copyright(c) Project Asura. All right reserved.
//-------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------
// History
//-------------------------------------------------------------------------------------
// <---> 2011/08/04 [Pocol] VK쐬
// <End>


//-------------------------------------------------------------------------------------
// Includes
//-------------------------------------------------------------------------------------
#include "asdxDemoApp.h"
#include "SampleRenderer.h"


//-------------------------------------------------------------------------------------
// Using Statements
//-------------------------------------------------------------------------------------
using namespace Asura::SampleProgram;


//-------------------------------------------------------------------------------------
//! @brief AvP[VCGg[|Cg
//-------------------------------------------------------------------------------------
int wmain( int argc, wchar_t *argv[ ], wchar_t *envp[ ] )
{
	SampleRenderer sampleRenderer;

    DemoApp* pApp = DemoApp::GetInstance();
    pApp->SetTitle( L"Rendering Texture" );
    pApp->SetSize( 800, 600 );

    // _[̓o^
    pApp->Register( &sampleRenderer );
   
    return pApp->Run();
}